.site-header {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: stretch;
	background: var( --dark-1 );
	padding: 0 10px 0 0;
	z-index: 2;
}
.header__left {
	display: flex;
	align-items: center;
}
.site-icon img {
	height: 42px;
}
.header__time {
	color: var( --green );
	font-family: "digital-7", monospace;
	font-size: 28px;
	margin-left: 15px;
}

.header__center {
	overflow: hidden;
	flex: 1;
	margin: 0 10px;
	line-height: 42px;
}
.header__center .news {
	animation: marquee 20s linear infinite;
	white-space: nowrap;
}

@media (min-width: 1600px) {
	.header__center .news {
		animation-duration: 30s;
	}
}

@keyframes marquee {
	0% {
		transform: translateX(100%);
	}
	100% {
		transform: translateX(-100%);
	}
}

.header__center a {
	color: #fff;
	display: inline-block;
}
.header__center a + a {
	margin-left: 15px;
}

.header__right {
	display: flex;
	align-items: stretch;
}

.header__navigation {
	margin: 0;
	padding: 0;
	display: flex;

	> li {
		& + li {
			margin-left: 15px;
		}

		> a {
			color: #fff;
			line-height: 42px;
			display: block;
			font-weight: bold;

			&.is-active {
				color: var( --yellow );
			}
			i {
				margin-left: 4px;
			}
		}
		&:hover > a {
			color: var( --yellow );
		}
	}
}

.header__search {
	margin-left: 5px;

	.search-form {
		position: relative;
	}
	.search-field {
		padding: 5px 8px;
	}
	.search-submit {
		position: absolute;
		background: transparent;
		border: none;
		top: 50%;
		transform: translateY( -50% );
		right: 10px;
		padding: 0;
		color: var( --light-1 );
	}
}

.header__language {
	margin-left: 15px;

	> a {
		line-height: 42px;
	}
	img {
		vertical-align: middle;
		display: inline-block;
		width: 24px;
	}
}

.header__actions {
	margin-left: 15px;
	display: flex;
	align-items: stretch;

	> a:first-child {
		margin-right: 15px;
	}

	.btn {
		height: 25px;
		line-height: 21px;
		padding: 0 8px;
		margin: 8.5px 10px 0 0;
	}
}

.account {
	margin-top: 6px;

	&__menu {
		display: flex;
		align-items: center;
		color: #fff;
		font-weight: bold;
		cursor: pointer;
	}
	&__image {
		width: 30px;
		height: 30px;
		line-height: 30px;
		border-radius: 99px;
		text-align: center;
		background: #fff;
		margin-right: 5px;
		color: var( --dark-1 );
	}
	.dropdown-menu {
		left: auto;
		right: 0;
		color: #fff;
	}
	&__info {
		padding: 10px;
		display: flex;
		align-items: center;

		&__image {
			width: 30px;
			height: 30px;
			line-height: 30px;
			border-radius: 99px;
			text-align: center;
			background: var( --dark-3 );
			margin-right: 5px;
		}
	}
	&__name {
		font-weight: bold;
	}
	li {
		border-bottom: 1px solid var( --dark-2 );
	}
}
